<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags always come first -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- build:css css/main.css -->
    <link rel="stylesheet" href="styles.css"/>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <link href="fontawesome-free-5.15.3-web/css/all.css" rel="stylesheet">

    <!-- endbuild -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lobster|Open+Sans"/>
    <link rel="icon" href="images/swigLogo.png"/>

    <title>Swig</title>
  </head>
  <body>
    <header class="jumbotron jumbotron-fluid">
        <div class="container">
            <div class="row">
                <div class="col-4 col-sm-3 col-md-2 align-self-center">
                    <a href="index.html"><img src="images/swigLogo.png" class="img-fluid" id="jumbotron-img" /></a>
                </div>
                <div class="col">
                    <h1>Swig</h1>
                    <h2>Find The Drink For You!</h2>
                </div>
            </div>
        </div>
    </header>

    <!--NavBar-->
    <nav class="navbar navbar-expand-lg navbar-dark sticky-top">
        <div class="container">
            <a class="navbar-brand" href="index.html"><img src="images/swigLogo.png"
            height="50" width="50" id="jumbotron-img" /></a>
            <button class="navbar-toggler " type="button" data-toggle="collapse" data-target="#swigNavbar">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="swigNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item active"><a class="nav-link" href="index.html"><i class="fa fa-home fa-lg"></i> Home</a></li>
                    <li class="nav-item"><a class="nav-link" href="#"><i class="fa fa-info fa-lg"></i> About</a></li>
                    <li class="nav-item dropdown" id="dropdownToggle">
                        <a class="nav-link dropdown-toggle" ><i class="fa fa-list fa-lg"></i> Reviews</a>
                        <div class="dropdown-menu" id="dropdownMenu">
                            <a class="dropdown-item" href="reviews.html">Featured</a>
                            <a class="dropdown-item" href="#">Alcoholic</a>
                            <a class="dropdown-item" href="#">Non-Alcoholic</a>
                        </div>
                    </li>
                    <li class="nav-item"><a class="nav-link" href="./create-review.html"><i class="fa fa-address-card fa-lg"></i> Create Review</a></li>
                    <li class="nav-item"><a class="nav-link" href="./product.html"><i class="fas fa-book-reader fa-lg"></i> User Info</a></li>
                </ul>
                <span class="navbar-text ml-auto " id="loginElement">
                    <button class="btn btn-outline-danger">
                        <a role="button" id="loginButton">
                            <i class="fa fa-sign-in"></i> Login
                        </a>
                    </button>
                </span>
                <span class="navbar-text ml-auto " id="logoutElement">
                    <button type="button" class="btn btn-outline-danger" data-toggle="modal" data-target="#logoutModal">
                        <a role="button" id="loginButton">
                            <i class="fa fa-sign-in"></i> Logout
                        </a>
                    </button>
                </span>
            </div>

        </div>
    </nav>

    <!--Modal-->
    <div id="loginModal" class="modal fade" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Login</h3>
                    <button type="button" class="close" id="closeModal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="container-fluid">
                        <form class="form-signin" id="login-form">
                            <div class="form-row">
                                <div class="form-group col-12">
                                    <label class="sr-only" for="inputUsername">Username</label>
                                    <input type="username" class="form-control form-control-sm" id="inputUsername" placeholder="Username">
                                </div>
                                <div class="form-group col-12">
                                    <label class="sr-only" for="inputPassword">Password</label>
                                    <input type="password" class="form-control form-control-sm" id="inputPassword" placeholder="Password">
                                </div>
                                <div class="col">
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox">
                                        <label class="form-checl-label">Remember Me</label>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row">
                                <button type="button" class="btn btn-danger btn-sm ml-auto" id="cancelModal">Cancel</button>
                                <button type="submit" class="btn btn-primary btn-sm ml-auto" >Sign in</button>
                                <a href="signup.html"><button type="button" class="btn btn-secondary btn-sm ml-auto">Sign up</button></a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="logoutModal" class="modal fade" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Logout?</h3>
                    <button type="button" data-dismiss="modal" class="close" id="closeModal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="container-fluid">
                       <button class="btn btn-primary" id="logoutButton" type="button">Logout</button>
                       <button class="btn btn-danger" data-dismiss="modal" type="button">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
      <!--Row 1-->
        <div class="row row-content align-items-center">
            <div class="col-sm-4 order-sm-last col-md-3">
                <h2 class="text-sm-right">Discover & Review</h2>
                <img class="d-flex mr-3 img-thumbnail" src="https://glengordonmanor.com/wp-content/uploads/2019/08/wine-glass-pouring-slide.jpg" alt="Wine being poured into two glasses"/>
            </div>
            <div class="col">
                <div class="media">
                    <div class="media-body align-self-center">
                        <h3>About Us</h3>
                        <p class="d-none d-sm-block">
                        There are so many beverages, and until now, no way to know what's good. That's why we created Swig. Nobody should have to spend a fortune to find their favorite drinks. Swig is a community-driven platform for users to help each other find their favorite drinks. 
                        </p>
                    </div>
                </div>
            </div>
        </div>
        

      <!--Row 2-->
        <div class="row row-content align-items-center">
            <div class="col-sm-4 col-md-3">
                <h2>Drink What You Enjoy</h2>
                <img class="d-flex ml-3 img-thumbnail2" src="images/whiskey_poured_lowball.jpg" alt="Whiskey being poured into a lowball glass"/>
            </div>
            <div class="col">
                <h3>Community-based reviews</h3>
                <p class="d-none d-sm-block">
                Our users' reviews will help you find the drink that's right for you. No more buying a case of flat soda or a six-pack of watery beer. Swig can help you avoid bland wines or bitter beers, and can help you find good bargains and hidden gems. We track both soft drinks and alcoholic drinks, so whatever you're looking for, Swig has something for you!
                </p>
            </div>
        </div>

      <!--Row 3-->

    </div>

     <!--Socials & Contacts-->
    <footer>
        <div class="container">
            <div class="row">
                <div class="col-4 col-sm-2 offset-1" id="footer-elements">
                    <h5>Links</h5>
                    <ul class="list-unstyled">
                    <li><a href="index.html" id="footer-links">Home</a></li>
                    <li><a href="#" id="footer-links">About</a></li>
                    <li><a href="reviews.html" id="footer-links">Reviews</a></li>
                    </ul>
                </div>

                <div class="col-6 col-sm-5 text-center" id="footer-elements">
                    <h5>Social</h5>
                    <a class="btn btn-social-icon btn-instagram" href="http://instagram.com/" ><i class="fab fa-2x fa-instagram-square"></i></a>
                    <a class="btn btn-social-icon btn-facebook" href="http://facebook.com/"><i class="fab fa-2x fa-facebook"></i></a>
                    <a class="btn btn-social-icon btn-twitter" href="http://twitter.com/"><i class="fab fa-2x fa-twitter"></i></a>
                </div>

                <div class="col-sm-4 text-center" id="footer-elements">
                    <a role="button" class="btn btn-link" href="tel: +11234567890" id="footer-links"><i class="fa fa-phone"></i> 1-123-345-7890</a><br>
                    <a role="button" class="btn btn-link" href="mailto:contact@swig.com" id="footer-links"><i class="fas fa-envelope"></i> contact@swig.com</a>
                </div>
            </div>
        </div>
    </footer>

    <script
    src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
    integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"
  ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" 
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" 
    crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" 
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" 
    crossorigin="anonymous"></script>
    <script src="scripts/scripts.js"></script>
    <script src="scripts/login.js"></script>
    <script src="scripts/server-requests.js"></script>
    <!-- endbuild -->

  </body>
</html>
